## org.springframework.beans.factory
Class BeanCreationNotAllowedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.beans.factory.BeanCreationException
                                  org.springframework.beans.factory.BeanCreationNotAllowedException

All Implemented Interfaces:
  Serializable

    public class BeanCreationNotAllowedException

extends BeanCreationException

Exception thrown in case of a bean being requested despite bean creation currently not being allowed (for example, during the shutdown phase of a bean factory).

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`BeanCreationNotAllowedException(String beanName, String msg)` Create a new BeanCreationNotAllowedException.

Method Summary

Methods inherited from class org.springframework.beans.factory.BeanCreationException
`addRelatedCause, contains, getBeanName, getRelatedCauses, getResourceDescription, printStackTrace, printStackTrace, toString`

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanCreationNotAllowedException

    public BeanCreationNotAllowedException(String beanName,
                                           String msg)

  Create a new BeanCreationNotAllowedException.

  Parameters:
    `beanName` - the name of the bean requested
    `msg` - the detail message